Subject: bug#74222: closed (Re: bug#74222: 29.3; right-to-left export)

From: Avraham Pinkas <[email-masked]>
Date: Sun, 10 Nov 2024 13:45:18 +0200

you are right, the issue is in org.
I was not aware that there are separate mailing lists.
thank you

On Sun, Nov 10, 2024 at 2:25 AM GNU bug Tracking System <
[email-masked]> wrote:

> Your bug report
>
> #74222: 29.3; right-to-left export
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 74222: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74222
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
>
> ---------- Forwarded message ----------
> From: Stefan Kangas <[email-masked]>
> To: Ihor Radchenko <[email-masked]>, Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> Bcc:
> Date: Sat, 9 Nov 2024 16:23:52 -0800
> Subject: Re: bug#74222: 29.3; right-to-left export
> Ihor Radchenko <[email-masked]> writes:
>
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> I suspect that this bug report is about Org Mode.  I don't know of any
> >>> other part of Emacs that does ODT exports.
> >>
> >> Me too.  Ihor, is this a known issue with Org?
> >
> > I do not know anything about such problem.
> > I will need the details to be submitted to Org mailing list to
> investigate.
>
> Avraham Pinkas, could you please report this bug to the Org mailing
> list?
>
> Meanwhile, I'm closing this bug as it's not a bug in Emacs itself.
>
>
>
>
> ---------- Forwarded message ----------
> From: Avraham Pinkas <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Tue, 5 Nov 2024 22:43:22 +0200
> Subject: 29.3; right-to-left export
> whenever exporting to ODT, the result is a left-to-right file,
> disregarding the right-to-left-mark (as entered by C-x 8 RET 200f RET).
> I remember that in a previous version of emacs it worked.
> This applies to all files I have tried (hebrew).
>
> Thank you for the upkeep.
>
> In GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
>  cairo version 1.18.0) of 2024-04-01, modified by Debian built on
>  lcy02-amd64-083
> Windowing system distributor 'The X.Org Foundation', version 11.0.12302006
> System Description: Ubuntu 24.04.1 LTS
>
> Configured using:
>  'configure --build x86_64-linux-gnu --prefix=/usr
>  --sharedstatedir=/var/lib --libexecdir=/usr/libexec
>  --localstatedir=/var/lib --infodir=/usr/share/info
>  --mandir=/usr/share/man --with-libsystemd --with-pop=yes
>
>  --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/29.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.3/site-lisp:/usr/share/emacs/site-lisp
>  --with-sound=alsa --without-gconf --with-mailutils
>  --with-native-compilation --build x86_64-linux-gnu --prefix=/usr
>  --sharedstatedir=/var/lib --libexecdir=/usr/libexec
>  --localstatedir=/var/lib --infodir=/usr/share/info
>  --mandir=/usr/share/man --with-libsystemd --with-pop=yes
>
>  --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/29.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.3/site-lisp:/usr/share/emacs/site-lisp
>  --with-sound=alsa --without-gconf --with-mailutils
>  --with-native-compilation --with-cairo --with-x=yes
>  --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
>  -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer
>  -ffile-prefix-map=/build/emacs-0yuuFP/emacs-29.3+1=.
>  -fstack-protector-strong -fstack-clash-protection -Wformat
>  -Werror=format-security -fcf-protection
>
>  -fdebug-prefix-map=/build/emacs-0yuuFP/emacs-29.3+1=/usr/src/emacs-1:29.3+1-1ubuntu2
>  -Wall' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=3'
>  'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
> NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
> THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2
> XPM GTK3 ZLIB
>
> Important settings:
>   value of $LC_MONETARY: en_IL.UTF-8
>   value of $LC_NUMERIC: en_IL.UTF-8
>   value of $LC_TIME: en_IL.UTF-8
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>
> Major mode: Info
>
> Minor modes in effect:
>   timeclock-mode-line-display: t
>   save-place-mode: t
>   display-time-mode: t
>   display-battery-mode: t
>   desktop-save-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   show-paren-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   isearch-fold-quotes-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   buffer-read-only: t
>   size-indication-mode: t
>   line-number-mode: t
>   indent-tabs-mode: t
>   transient-mark-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug mule-util info comp comp-cstr warnings
> cus-edit pp cus-start org-element org-persist org-id org-refile avl-tree
> generator oc-basic cl-extra help-mode ol-eww eww xdg url-queue thingatpt
> mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect gnus-art mm-uu
> mml2015 mm-view mml-smime smime gnutls dig gnus-sum shr pixel-fill
> kinsoku url-file svg dom gnus-group gnus-undo gnus-start gnus-dbus
> gnus-cloud nnimap nnmail mail-source utf7 nnoo parse-time gnus-spec
> gnus-int gnus-range message sendmail yank-media puny rfc822 mml mml-sec
> epa derived epg rfc6068 epg-config mm-decode mm-bodies mm-encode
> mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils
> mailheader gnus-win gnus nnheader gnus-util text-property-search
> mail-utils range mm-util mail-prsvr wid-edit ol-docview doc-view
> filenotify jka-compr image-mode exif dired dired-loaddefs ol-bibtex
> bibtex iso8601 ol-bbdb ol-w3m ol-doi org-link-doi org ob ob-tangle
> ob-ref ob-lob ob-table ob-exp org-macro org-src ob-comint org-pcomplete
> pcomplete comint ansi-osc ansi-color ring org-list org-footnote
> org-faces org-entities time-date noutline outline icons ob-emacs-lisp
> ob-core ob-eval org-cycle org-table ol rx org-fold org-fold-core
> org-keys oc org-loaddefs find-func cal-menu calendar cal-loaddefs
> org-version org-compat org-macs format-spec timeclock saveplace t-mouse
> time battery dbus xml desktop frameset cus-load finder-inf package
> browse-url url url-proxy url-privacy url-expand url-methods url-history
> url-cookie generate-lisp-file url-domsuf url-util mailcap url-handlers
> url-parse auth-source cl-seq eieio eieio-core cl-macs password-cache
> json subr-x map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs
> cl-lib devhelp rmc iso-transl tooltip cconv eldoc paren electric
> uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
> term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
> regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
> prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
> timer select scroll-bar mouse jit-lock font-lock syntax font-core
> term/tty-colors frame minibuffer nadvice seq simple cl-generic
> indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite emoji-zwj charscript charprop case-table epa-hook
> jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
> theme-loaddefs faces cus-face macroexp files window text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget keymap
> hashtable-print-readable backquote threads dbusbind inotify lcms2
> dynamic-setting system-font-setting font-render-setting cairo
> move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
> native-compile emacs)
>
> Memory information:
> ((conses 16 302460 20031)
>  (symbols 48 23059 0)
>  (strings 32 80296 8705)
>  (string-bytes 1 2415212)
>  (vectors 16 47382)
>  (vector-slots 8 1486833 182483)
>  (floats 8 399 265)
>  (intervals 56 875 0)
>  (buffers 984 15))
>